# Using a Custom Image Registry for the connectware-agent Helm Chart

You can use a custom image registry, if it provides the necessary image for your agents.

To change the registry for the agent, specify the address under which the image is pull-able in the `image.registry` value inside the agents entry in `protocolMapperAgents` context of your values.yaml file.

**Example**

{% code lineNumbers="true" %}

```yaml
protocolMapperAgents:
    - name: bender-robots
      connectwareHost: connectware.cybus # adjust to actual hostname of Connectware
      image:
          registry: registry.my-company.tld/cybus
```

{% endcode %}

If your custom registry requires authentication, you must also provide a manually created `kubernetes.io/dockerconfigjson` secret in the `image.pullSecrets` list inside the agents entry in `protocolMapperAgents` context of your values.yaml file.

**Example**

{% code lineNumbers="true" %}

```yaml
protocolMapperAgents:
    - name: bender-robots
      connectwareHost: connectware.cybus # adjust to actual hostname of Connectware
      image:
          registry: registry.my-company.tld/cybus
          pullSecrets:
              - name: my-company-pull-secret
```

{% endcode %}

Hint: `kubernetes.io/dockerconfigjson` secrets can be created with this command:

{% code lineNumbers="true" %}

```yaml
kubectl create secret <secret-name> --docker-server=<registry-address> --docker-username=<username> --docker-password=<password> --docker-email=<user-email>
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cybus.io/1-10-2/documentation/agents/agents-in-kubernetes/configuring-agents-with-the-connectware-agent-helm-chart/using-a-custom-image-registry-for-the-connectware-agent-helm-chart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
